查询订阅合同详情
GET https://{handle}.myshopline.com/admin/openapi/v20261201/subscription/:id/contract.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。查询订阅合同详情
路径参数
- id string required合同单号
请求头
- Content-Type string required字段值固定为
application/json; charset=utf-8。 - Authorization string required资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。例子:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
状态码
- 200
- 401
- 429
更多状态码信息,参考 HTTP 状态码。
响应头
traceId
请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
subscription_contractobject
订阅合同信息详情customer_payment_methodobject
付款方式method_code string支付方式编码store_payment_id string支付方式IDchannel_code string支付渠道编码instrument_detailobject
支付工具详情accountobject
帐户信息name string帐户号cardobject
卡号信息brand string卡品牌brand_icon string卡图标expire_month string有效期:月expire_year string有效期:年first string卡号前置展示位holder string持卡人姓名last string卡号后置展示位type string类型 card / account. card: 卡基;account: 账基instrument_seq string支付工具IDstatus string订阅合同状态currency_code string店铺币种updated_at string更新时间, 2019-09-07T15:50:00Zorigin_orderobject
原始订单信息id string订单号billing_policyobject
订阅协议计费策略max_cycles integer最大的订阅周期min_cycles integer最小的订阅周期interval string间隔单位, (DAY,MONTH,WEEK,YEAR)interval_count integer间隔值id string合同单号periods integer当前合同已执行的期数appobject
订阅插件信息app_key stringapp插件的keynext_billing_date string下一个账单日期line_itemsobject[]
关联的商品image_url string商品主图group_id string商品组idamount string商品的金额(两位精度的字符串,如"88.10")attributesobject[]
商品属性:名称,属性值key string属性key或者namevalue string属性值quantity integer商品数量sku string货号version string商品版本product_source string商品来源 main_site主站商品、customize自定义商品variant_attribute string商品属性pricing_policyobject[]
订阅周期折扣cycle_discountsobject[]
订阅行的每个周期的调整adjustment_value long优惠值 扣减金额(分)或万分比adjustment_type string优惠类型, FIXED_AMOUNT: 减额,PERCENTAGE: 折扣(减去百分比)title string商品标题variant_id string商品sku序列号amount_setobject
商品的金额,多币种格式shop_moneyobject
shop moneycurrency_code string币种amount string金额presentment_moneyobject
presentment moneycurrency_code string币种amount string金额customerobject
用户信息phone string用户电话shipping_addressobject
收货地址zip string邮编address2 string收货人详细地址附加country_code string国家或地区,请参考国家代码规范传参,https://aurogon-portal.yy.com/document/interface/478city string收货人市company string公司名称phone string收货人联系方式province string收货人省份address1 string收货人详细地址last_name string收货人姓city_code string收货人市codeprovince_code string收货人省份codedistrict_code string收货人区codefirst_name string收货人名district string收货人区country string国家或者地区email string用户邮件id string用户id, buyerIdnick_name string用户昵称last_payment_status string上一次付款状态delivery_infoobject
运送信息delivery_name string方案名称delivery_seq string运费方案的seqcreated_at string创建时间, 2019-09-07T15:50:00Z
API Explorer
调试台
这篇文章对你有帮助吗?